### Function

# GimpUi label_set_attributes

since: 2.2

#### Declaration [src]

    void
    gimp_label_set_attributes (
      GtkLabel* label,
      ...
    )

#### Description [src]

Sets Pango attributes on a `GtkLabel` in a more convenient way than gtk_label_set_attributes().

This function is useful if you want to change the font attributes of a `GtkLabel`. This is an alternative to using PangoMarkup which is slow to parse and awkward to handle in an i18n-friendly way.

The attributes are set on the complete label, from start to end. If you need to set attributes on part of the label, you will have to use the PangoAttributes API directly.

Available since: 2.2

This function is not directly available to language bindings.

#### Parameters

`label`

  Type: `GtkLabel`

  A `GtkLabel`.

  The data is owned by the caller of the function.

`...`

  Type: ``

  A list of PangoAttrType and value pairs terminated by -1.